Name:           astromenace
Version:        1.4.3
Release:        %mkrel 1
Summary:        Hardcore 3D space shooter with spaceship upgrade possibilities
Group:          Games/Shooter
License:        GPLv3+ and CC BY-SA 3.0
URL:            https://www.viewizard.com/
Source0:        https://github.com/viewizard/astromenace/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(xinerama)

%description
Space is a vast area, an unbounded territory where it seems there is a
room for everybody, but reversal of fortune put things differently. The
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it!
Go ahead and make alien aggressors regret their insolence.

%prep
%autosetup

%build
%cmake -DDATADIR=%{_gamesdatadir}/%{name}
%cmake_build

%{_vpath_builddir}/astromenace --pack --rawdata=./gamedata --dir=.

%install
install -D -m755 %{_vpath_builddir}/astromenace %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 %{_vpath_builddir}/gamedata.vfs %{buildroot}%{_gamesdatadir}/%{name}/gamedata.vfs
install -D -m644 share/astromenace.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

for size in 64 128; do
  install -D -m644 share/%{name}_${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Astromenace
Comment=3D space shooter
Exec=%{name}
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Categories=Game;Shooter;
EOF

%files
%doc CHANGELOG.md LICENSE.md README.md docs/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 1.4.3-1.mga10
+ Revision: 2146828
- new version: 1.4.3

* Thu May 16 2024 daviddavid <daviddavid> 1.4.2-3.mga10
+ Revision: 2064441
- add fedora patch to fix build with GCC 13

* Fri Apr 01 2022 umeabot <umeabot> 1.4.2-2.mga9
+ Revision: 1838945
- Mageia 9 Mass Rebuild

* Sun Apr 18 2021 daviddavid <daviddavid> 1.4.2-1.mga9
+ Revision: 1716424
- new version: 1.4.2-1781

* Sat Feb 15 2020 umeabot <umeabot> 1.4.1-2.mga8
+ Revision: 1526480
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed May 01 2019 akien <akien> 1.4.1-1.mga7
+ Revision: 1395988
- Version 1.4.1

* Thu Dec 27 2018 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1345210
- new version: 1.4.0
- port to SDL2

* Fri Sep 21 2018 umeabot <umeabot> 1.3.2-6.mga7
+ Revision: 1295000
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.3.2-5.mga6
+ Revision: 942723
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-4.mga5
+ Revision: 740211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-3.mga5
+ Revision: 678008
- Mageia 5 Mass Rebuild

* Thu May 15 2014 akien <akien> 1.3.2-2.mga5
+ Revision: 622918
- Add upstream patch to fix segfault when using the Intel driver

* Sat May 10 2014 akien <akien> 1.3.2-1.mga5
+ Revision: 621758
- imported package astromenace

